Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
wallets
/
customers
/
{customer_id}
/
cards
List customer cards
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/wallets/customers/{customer_id}/cards \
  --header 'Authorization: Bearer <token>'
[
  {
    "card_id": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "metadata": {
      "order_id": "xk39592f"
    },
    "active_from": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "originated_by": "<string>",
    "customer_id": "<string>",
    "name": "<string>",
    "type": "gift_card",
    "status": "unused",
    "pin": {
      "format": {
        "length": 36,
        "prefix": "DINCARD:",
        "symbols": true,
        "numbers": true,
        "characters": true,
        "barcode": false
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

Response

Card details

card_id
string
required

The card id you have defined for the card. (must not have trailing or leading spaces)

Maximum string length: 255
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client that created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

metadata
object

A key-value JSON object to store any additional information. The dintero_* namespace for keys is reserved

Example:
{ "order_id": "xk39592f" }
active_from
string<date-time>

Optional time when the card is activated. No drawdown transaction will be allowed before if set. (fund transaction is allowed)

expires_at
string<date-time>

Optional expiration time for the card. No transaction will be allowed on an expired card

originated_by
string

The reference to where the entity was created. (must not have trailing or leading spaces)

Maximum string length: 255
customer_id
string

The customer id you have defined as the owner of the card. (must not have trailing or leading spaces)

Maximum string length: 255
name
string

Display name for the card

type
enum<string>

The type of the card. The value is one of the following:

  • gift_card - a gift card
  • credit_note - a credit note Defaults to gift_card
Available options:
gift_card,
credit_note
Example:

"gift_card"

status
enum<string>

The status of the card. The value is one of the following:

  • inactive - Inactive card created by batch, needs to be activated
  • unused - the card is unused
  • used - the card has 0 balance
  • partially_used - the card has been used partially
  • expired - the card has expired

Defaults to unused

Available options:
inactive,
unused,
used,
partially_used,
expired
Example:

"unused"

pin
object